Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoFunctorBase Class Reference

Base class for functors to get a nice hierarchy diagram. More...

`#include <eoFunctor.h>`

Inheritance diagram for eoFunctorBase:

List of all members.

## Public Member Functions
virtual | ~eoFunctorBase ()
| virtual dtor here so there is no need to define it in derived classes

## Detailed Description

Base class for functors to get a nice hierarchy diagram.

That's actually quite an understatement as it does quite a bit more than just that. By having all functors derive from the same base class, we can do some memory management that would otherwise be very hard.

The memory management base class is called eoFunctorStore, and it supports a member add() to add a pointer to a functor. When the functorStore is destroyed, it will delete all those pointers. So beware: do not delete the functorStore before you are done with anything that might have been allocated.

See also:
  eoFunctorStore

Definition at line 46 of file eoFunctor.h.

The documentation for this class was generated from the following file:

- eoFunctor.h